curl --request GET \
--url https://api.callrounded.com/v1/phone-numbers \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.callrounded.com/v1/phone-numbers"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.callrounded.com/v1/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"type": "pstn",
"inbound_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redirect": false,
"redirect_phone_number": "<string>"
}
],
"message": "Calls retrieved successfully",
"error": {
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
},
"status": 200,
"next_cursor": "<string>",
"current_page": 123,
"total_pages": 123,
"total_items": 123
}List phone numbers
List phone numbers with pagination. The response includes headers about rate limiting.
Pagination Options:
-
Page-based pagination (default):
- Provide
pageandlimitparameters. - Response includes
current_page,total_pages, andtotal_items. - Best for UIs that need to jump to specific pages.
- Provide
-
Cursor-based pagination:
- Based on phone number
created_atproperty (ISO 8601 datetime of last seen record). - Set
use_cursor=true. - Provide
limitparameter to control results per page (default: 50, max: 1000). - Response includes
next_cursorfor subsequent requests. - Best for efficiently paging through large datasets.
- Based on phone number
Authorizations
The API Key created in Rounded Studio.
- You can create it by going to the "API Keys" settings of your profile.
- Need help? You can email us at team@callrounded.com or join our Discord community.
Query Parameters
Page number for page-based pagination (1-indexed, by default or when use_cursor=false).
Maximum number of results to return per page (default: 50, max: 1000).
Pagination mode selection: true for cursor-based pagination, false for page-based pagination.
Cursor for pagination based on the phone number created_at property (ISO 8601 datetime of last seen record).
Response
Successfully retrieved phone numbers
List of phone number objects matching the query criteria.
- PSTN Phone Number
- SIP Phone Number
Show child attributes
Show child attributes
Response message indicating the status of the request.
Show child attributes
Show child attributes
{
"details": [
{
"field": "email",
"message": "Invalid email format"
}
],
"message": "An error occurred while processing your request",
"status": 400,
"type": "generic_error"
}
HTTP status code (200 for successful requests).
Next cursor value for cursor-based pagination
(ISO 8601 datetime string, only present when use_cursor=true).
Current page number (by default or when use_cursor=false).
Total number of pages available (by default or when use_cursor=false).
Total count of items matching the query criteria (by default or when use_cursor=false).